Create budget version
POST
/partners/budgets/{uuid}/versionsCreates a new numbered version for the budget.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe budget UUID.
Request body
labelstringOptional version label.
Responses
201Version created.404Budget not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootPOST
https://api.getcount.com/partners/budgets/{uuid}/versionsRequest
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'POST';
const signingPath = '/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/versions';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
"label": "Q2 revision"
};
const bodyString = JSON.stringify(body);
const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/versions`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
'Content-Type': 'application/json',
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
body: bodyString,
});
console.log(await response.json());Response · 201
{
"status": "success",
"message": "Success on creating budget version",
"data": {
"version": {
"versionNumber": 2,
"label": "Q2 revision",
"isPublished": false,
"createdAt": "2026-01-15T10:30:00.000Z"
}
}
}